#ifndef OPTIONSDIALOG_H
#define OPTIONSDIALOG_H

#include <QDialog>
#include <QKeySequence>

namespace Ui {
    class optionsDialog;
}

class optionsDialog : public QDialog {
    Q_OBJECT
public:
    optionsDialog(QWidget *parent = 0);
    ~optionsDialog();

public slots:
    void slotNewKeySequence(QKeySequence seq);

protected:
    void changeEvent(QEvent *e);

signals:
       void newKeySequence(QKeySequence seq);
private:
    Ui::optionsDialog *ui;
};

#endif // OPTIONSDIALOG_H
